2019-12-07 09:18 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001660FSSCP---------public2008-04-13 14:37
Reportercastor 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001660: libreadline dependency
DescriptionThe build script in trunk doesn't detect if libreadline development files are missing, the compilation just fails with error message.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009212

taylor (administrator)

There is no dependency on libreadline. We don't use it, and couldn't use it regardless since it's GPL and the FSO code isn't GPL compatible. If there is an issue then it's on your side, with it being a 3rd party dependency or something.

Attach your config.log and we should be able to find out for sure what wants it.

~0009214

castor (reporter)

Last edited: 2008-04-12 20:51

Ok, I attached the log. And here's the message from compiler:

make[1]: Entering directory `/home/cas/compile/svn/fs2_open/lua'
if gcc -DPACKAGE_NAME=\"fs2_open\" -DPACKAGE_TARNAME=\"fs2_open\" -DPACKAGE_VERSION=\"3.6.10\" -DPACKAGE_STRING=\"fs2_open\ 3.6.10\" -DPACKAGE_BUGREPORT=\"\" -DNO_CD_CHECK=1 -DNDEBUG=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DSCP_UNIX=1 -DNO_DIRECT3D=1 -DUSE_OPENAL=1 -I. -I. -DLUA_USE_LINUX -g -Os -Wall -funroll-loops -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -fsigned-char -Wno-unknown-pragmas -march=athlon64 -O2 -pipe -fomit-frame-pointer -msse3 -MT lua.o -MD -MP -MF ".deps/lua.Tpo" -c -o lua.o lua.c; \
        then mv -f ".deps/lua.Tpo" ".deps/lua.Po"; else rm -f ".deps/lua.Tpo"; exit 1; fi
In file included from lua.h:16,
                 from lua.c:15:
luaconf.h:275:31: error: readline/readline.h: No such file or directory
luaconf.h:276:30: error: readline/history.h: No such file or directory
lua.c: In function 'pushline':
lua.c:182: warning: implicit declaration of function 'readline'
lua.c:182: warning: assignment makes pointer from integer without a cast
lua.c: In function 'loadline':
lua.c:210: warning: implicit declaration of function 'add_history'
make[1]: *** [lua.o] Error 1
make[1]: Leaving directory `/home/cas/compile/svn/fs2_open/lua'
make: *** [all-recursive] Error 1

Seems like the lua_readline() define calls readline()?

Edit: fs2_open revision 4602

~0009215

taylor (administrator)

Hmm, there is a commit missing somewhere. We can't use libreadline so that define was removed at one point, or so I thought.

Just comment out or simply remove line number 39 ("#define LUA_USE_READLINE") and then it should build fine. This one is our (my) fault, so I'll get that fixed in SVN as well.

~0009218

castor (reporter)

I think it wasn't complaining about that a few revision earlier, but cannot say for sure. Anyway, I'll comment it out locally.
Thanks!

~0009219

taylor (administrator)

I had added the LUA_USE_LINUX define to the builds to deal with other issues that come up from not using a Linux specific compile of Lua, so that is why it didn't do it before. The readline dependency was supposed to come out at the same time though, but obviously it didn't. It could just be that I made the change locally, then lost it when everything got merged with WMC's commit and I subsequently forgot to remove it again later.

It's fixed in SVN now though, so hopefully it won't be an issue again.
+Notes

-Issue History
Date Modified Username Field Change
2008-04-11 20:49 castor New Issue
2008-04-11 21:21 taylor Note Added: 0009212
2008-04-12 20:46 castor File Added: config.log
2008-04-12 20:48 castor Note Added: 0009214
2008-04-12 20:51 castor Note Edited: 0009214
2008-04-12 22:15 taylor Note Added: 0009215
2008-04-12 22:15 taylor Status new => assigned
2008-04-12 22:15 taylor Assigned To => taylor
2008-04-13 08:52 castor Note Added: 0009218
2008-04-13 14:36 taylor Note Added: 0009219
2008-04-13 14:37 taylor Status assigned => resolved
2008-04-13 14:37 taylor Fixed in Version => 3.6.10
2008-04-13 14:37 taylor Resolution open => fixed
+Issue History